Skip to main content
GET
/
moderation
/
reviewed-messages
List Reviewed messages
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/moderation/reviewed-messages \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "ruleId": "toxicity",
      "ruleName": "Toxicity Detection (English)",
      "revisionId": "default_toxicity_1",
      "condition": {
        "id": 1,
        "isKeywordsReferencePresent": false,
        "isMediaPresent": false,
        "entity": "message",
        "operand": "text",
        "category": "toxicity",
        "operator": "contains",
        "value": [
          "toxicity_greaterThan_70"
        ],
        "message": "Text message contains Toxicity greater than 70%",
        "weight": 1
      },
      "message": {
        "id": "390079",
        "muid": "_b0zr29wvr",
        "conversationId": "cometchat-uid-1_user_cometchat-uid-3",
        "sender": "cometchat-uid-1",
        "receiverType": "user",
        "receiver": "cometchat-uid-3",
        "category": "message",
        "type": "text",
        "data": {
          "text": "nigger",
          "resource": "WEB-4_1_1-7896d270-ea72-4510-b993-282ab6a6afdb-1757953564776",
          "entities": {
            "sender": {
              "entity": {
                "uid": "cometchat-uid-1",
                "name": "Andrew Joseph",
                "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-1.webp",
                "status": "online",
                "role": "default",
                "lastActiveAt": 1757955944
              },
              "entityType": "user"
            },
            "receiver": {
              "entity": {
                "uid": "cometchat-uid-3",
                "name": "Nancy Grace",
                "avatar": "https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-3.webp",
                "status": "offline",
                "role": "default",
                "lastActiveAt": 1754574851,
                "conversationId": "cometchat-uid-1_user_cometchat-uid-3"
              },
              "entityType": "user"
            }
          },
          "moderation": {
            "status": "disapproved",
            "rule": {
              "id": "toxicity",
              "name": "Toxicity Detection (English)"
            }
          }
        },
        "sentAt": 1757955946,
        "updatedAt": 1757955946
      },
      "action": [
        "blockMessage"
      ],
      "createdAt": 1757955951,
      "updatedAt": 1757955951,
      "blockedAt": "1757955951.000000000390079",
      "appId": "253626bf6512389d"
    }
  ],
  "meta": {
    "current": {
      "limit": 50,
      "count": 46
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

limit
integer
default:50

The number of items to return per page.

Response

200 - application/json

List Reviewed Messages

The response is of type object.